
// FourByFour.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* 
 Odvozeno od souboru FourByFour.java 1.13 01/01/11 07:32:10
 Copyright (c) 1996-2000 Sun Microsystems, Inc. All Rights Reserved.

  3D-varianta piškvorek tvořená sítí o rozměrech 4x4x4.
  Dva hráči soupeří o zaplnění řádku, sloupce nebo diagonály
  čtyřmi kuličkami nebo čterečky.

  Tato hra tvoří základ pro síťovou aplikaci v adresáři NetFourByFour/

  Změny oproti verzi společnosti Sun:
    - odebrána herní logika počítače a nahrazena druhým hráčem
        * třída Board je tak mnohem jednodušší
    - odebrána většina GUI: žádné úrovně dovedností, ani instrukce, ani
      volby pro novou hru
    - používá se SWing místo AWT
    - používají se pomocné třídy knihovny Java 3D: Box, Cylinder
    - odebrána třída ID. nyní ukládáme do uživatelských dat každého tvaru 
        objekt typu Integer 
    - uprava logika třídy PickDragBehavior, aby tažení při prvním použití 
      nezpůsobilo 'poskočení'
*/


import javax.swing.*;
import java.awt.*;
import java.awt.event.*;



public class FourByFour extends JFrame
{
  private JTextField messageTF;

  public FourByFour() 
  {
    super("Piškvorky");

    Container c = getContentPane();
    c.setLayout( new BorderLayout() );
    WrapFourByFour w3d = new WrapFourByFour(this);
    c.add(w3d, BorderLayout.CENTER);

    JLabel mesgLabel = new JLabel("Sdělení: ");
    messageTF = new JTextField(30);
    messageTF.setText("Táhne hráč 1");
    messageTF.setEditable(false);
    JPanel p1 = new JPanel();
    p1.add(mesgLabel);
    p1.add(messageTF);
    c.add(p1, BorderLayout.SOUTH);

    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    pack();
    setResizable(false);    // rozměry okna jsou pevně dány
    setVisible(true);
  } // konec metody: FourByFour()


  public void showMessage(String mesg)
  {  messageTF.setText(mesg);  }


// -----------------------------------------

  public static void main(String[] args)
  { new FourByFour(); }

} // konec třídy: FourByFour class

